From 121711ea13074642b3155ef174dbe29a16a03a66 Mon Sep 17 00:00:00 2001
From: John Cox <jc@kynesim.co.uk>
Date: Tue, 25 Jan 2022 14:50:13 +0000
Subject: [PATCH 086/151] Remove unneeded includes from egl_vout and fix
 warning

---
 libavdevice/egl_vout.c | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

diff --git a/libavdevice/egl_vout.c b/libavdevice/egl_vout.c
index b1b1f7bb60..0539282733 100644
--- a/libavdevice/egl_vout.c
+++ b/libavdevice/egl_vout.c
@@ -40,16 +40,7 @@
 #include <stdatomic.h>
 #include <unistd.h>
 
-#include "drm_fourcc.h"
-#include <drm.h>
-#include <drm_mode.h>
-#include <xf86drm.h>
-#include <xf86drmMode.h>
 #include <X11/Xlib.h>
-#include <X11/Xutil.h>
-#include <X11/Xlib-xcb.h>
-#include <xcb/xcb.h>
-#include <xcb/dri3.h>
 
 #include "libavutil/rpi_sand_fns.h"
 
@@ -261,8 +252,7 @@ make_window(struct AVFormatContext * const s,
    XMapWindow(dpy, win);
 
    {
-      EGLSurface surf = eglCreateWindowSurface(egl_dpy, config,
-                                               (void *)(uintptr_t)win, NULL);
+      EGLSurface surf = eglCreateWindowSurface(egl_dpy, config, (uintptr_t)win, NULL);
       if (!surf) {
          av_log(s, AV_LOG_ERROR, "Error: eglCreateWindowSurface failed\n");
          return -1;
-- 
2.38.1

